---
name: Bug report
about: Create a report to help improve PhasorPy
title: ""
labels: ""
assignees: ""
---

**Describe the bug**

A clear and concise description of what the bug is and what was expected to happen.

**To Reproduce**

A minimal, self-contained Python code reproducing the problem. Format the code using markdown, for example:

```Python
import phasorpy
phasorpy.do_something('my.file')
```

A Python traceback if available, for example:

```Python traceback
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
AttributeError: module 'phasorpy' has no attribute 'do_something'
```

Any data files necessary to run the code can be attached to the issue or shared via cloud storage, preferably on [Zenodo.org](https://zenodo.org/communities/phasorpy/).

Information how PhasorPy was installed (pip, conda, or other) and the console output of:

```
$ python -m phasorpy versions
```
